<?php include('export.php'); ?>
<html>
<head>
<title>Сверка bp-g</title>
</head>
<body>
<p><a href="index.php">Вернуться к списку</a></p>
<h2>Сравнение ссылок bp-g</h2>
<form action="" method="post" enctype="multipart/form-data">
<p>
	Размещено (на сайте, csv-файл):<br />
	<input type="file" name="file1" />
	<br />
	<span style="color: #f00;">Файл в csv формате, 4 колонки: id;login;дата;url</span>
</p>
<p>
	Должно быть (на биржах, csv-файл):<br />
	<input type="file" name="file2" />
	<br />
	<span style="color: #f00;">Файл в csv формате, с одной колонкой со ссылками!</span>
</p>
<p><button type="submit">Сравнить</button></p>
</form>
<hr />
<?php
if (!empty($_FILES['file1']['name']) && !empty($_FILES['file2']['name'])) {
	$data1 = array(); // размещенные
	$data1acc = array(); // login
	$data1id = array(); // id
	$data1dates = array(); // dates
	$data1url = array(); // url
	$f = fopen($_FILES['file1']['tmp_name'], 'r');
	while (!feof($f)) {
		$parts = fgetcsv($f, null, ';');
		$line = trim($parts[3]);
		if (!empty($line)) {
			$ps = strpos($line, 'bp-g.ru/');
			if ($ps !== false) {
				$line = substr($line, $ps + strlen('bp-g.ru/'), strlen($line));
				$line = trim($line);

				$url = str_replace('?utm', '', $line);
				$url = str_replace('?utn', '', $url);
				if (substr($url, strlen($url) - 1, 1) == '/') {
					$url = substr($url, 0, strlen($url) - 1);
				}
				$ps = strrpos($url, '/');
				if ($ps !== false) {
					$url = substr($url, $ps + 1, strlen($url));
				}

				if (in_array($parts[1], $data1id) || in_array($url, $data1)) continue;

				$data1[] = $url;
				$data1acc[] = $parts[1];
				$data1id[] = $parts[0];
				$data1dates[] = $parts[2];
				if (strpos($parts[3], 'http://') == false) $parts[3] = 'http://'.$parts[3];
				$data1url[] = $parts[3];
			}
		}
	}
	fclose($f);

	$data2 = array(); // должны быть
	$data2url = array();
	$f = fopen($_FILES['file2']['tmp_name'], 'r');
	while (!feof($f)) {
		$line = trim(fgets($f));
		if (!empty($line)) {
			$ps = strpos($line, 'bp-g.ru/');
			if ($ps !== false) {
				$orig = $line;
				$line = substr($line, $ps + strlen('bp-g.ru/'), strlen($line));
				$line = trim($line);

				$url = str_replace('?utm', '', $line);
				$url = str_replace('?utn', '', $url);
				if (substr($url, strlen($url) - 1, 1) == '/') {
					$url = substr($url, 0, strlen($url) - 1);
				}
				$ps = strrpos($url, '/');
				if ($ps !== false) {
					$url = substr($url, $ps + 1, strlen($url));
				}
				if (in_array($url, $data2)) continue;
				$data2[] = $url;
				$data2url[] = $orig;
			}
		}
	}
	fclose($f);
}
?>
<h3>Есть в размещенных на сайте, но нет в "должны быть (на биржах)"</h3>
<form action="" method="post">
	<input type="hidden" name="a" value="export" />
	<input type="hidden" name="filename" value="bgp_on_site.csv" />
	<?php $cnt = 0; ?>
	<table border="1" cellpadding="5">
		<?php for ($i = 0; $i < count($data1); $i++) { ?>
			<?php $item = $data1[$i]; ?>
			<?php if (in_array($item, $data2)) continue; ?>
			<input type="hidden" name="line[]" value="<?php echo $data1acc[$i]; ?>;<?php echo $data1id[$i]; ?>;<?php echo $data1dates[$i]; ?>;<?php echo $data1url[$i]; ?>" />
			<tr>
				<td><?php echo $data1acc[$i]; ?></td>
				<td><?php echo $data1id[$i]; ?></td>
				<td><?php echo $data1dates[$i]; ?></td>
				<td><?php echo $data1url[$i]; ?></td>
			</tr>
			<?php $cnt++; ?>
		<?php } ?>
	</table>
	<p>Всего: <?php echo $cnt; ?></p>
	<p><button type="submit" name="export">Экспорт в CSV</button></p>
</form>

<h3>Есть в "должны быть (на биржах)", но нет в размещенных на сайте</h3>
<form action="" method="post">
	<input type="hidden" name="a" value="export" />
	<input type="hidden" name="filename" value="bgp_on_markets.csv" />
	<?php $cnt = 0; ?>
	<table border="1" cellpadding="5">
		<?php for ($i = 0; $i < count($data2); $i++) { ?>
			<?php $item = $data2[$i]; ?>
			<?php if (in_array($item, $data1)) continue; ?>
			<input type="hidden" name="line[]" value="<?php echo $item; ?>" />
			<tr>
				<td><?php echo $data2url[$i]; ?></td>
			</tr>
			<?php $cnt++; ?>
		<?php } ?>
	</table>
	<p>Всего: <?php echo $cnt; ?></p>
	<p><button type="submit" name="export">Экспорт в CSV</button></p>
</form>
</body>
</html>