<?php include('export.php'); ?>
<?php
function convertUrl($url) {
	$url = str_replace('http://', '', $url);
	$url = str_replace('www.', '', $url);
	$url = str_replace('radiopremier.ru/', '', $url);
	$url = str_replace('.dhtm', '', $url);
	return $url;
}
?>
<html>
<head>
<title>Сверка radiopremier (feed)</title>
</head>
<body>
<p><a href="index.php">Вернуться к списку</a></p>
<h2>Сверка radiopremier (feed)</h2>
<form action="" method="post" enctype="multipart/form-data">
	<p>
		Должно быть (на биржах, csv-файл):<br />
		<input type="file" name="file2" />
		<span style="color: #f00;">Файл в csv формате, с одной колонкой со ссылками</span>
	</p>
	<p><button type="submit">Сравнить</button></p>
</form>
<hr />
<?php
if (!empty($_FILES['file2']['name'])) {
	$data1 = array(); // размещенные

	$xml = file_get_contents('http://radiopremier.ru/img/links/rss.php');
	$xml = '<?xml version="1.0" encoding="UTF-8" ?><channel>'.$xml.'</channel>';
	$xml = simplexml_load_string($xml);
	foreach ($xml->article as $article) {
		$article = (array)$article;
		$url = $article['url'];
		$url = convertUrl($url);
		if (in_array($url, $data1)) continue;
		$data1[] = $url;
	}

	$data2 = array(); // должны быть
	$f = fopen($_FILES['file2']['tmp_name'], 'r');
	while (!feof($f)) {
		$line = trim(fgets($f));
		if (!empty($line)) {
			$line = convertUrl($line);
			$data2[] = $line;
		}
	}
	fclose($f);
}
?>
<h3>Есть в размещенных на сайте, но нет в "должны быть (на биржах)"</h3>
<form action="" method="post">
	<input type="hidden" name="a" value="export" />
	<input type="hidden" name="filename" value="radiopremier_on_site.csv" />
	<?php $cnt = 0; ?>
	<table border="1" cellpadding="5">
		<?php for ($i = 0; $i < count($data1); $i++) { ?>
			<?php $item = $data1[$i]; ?>
			<?php if (in_array($item, $data2)) continue; ?>
			<input type="hidden" name="line[]" value="http://radiopremier.ru/<?php echo $item; ?>.dhtm" />
			<tr>
				<td>http://radiopremier.ru/<?php echo $item; ?>.dhtm</td>
			</tr>
			<?php $cnt++; ?>
		<?php } ?>
	</table>
	<p>Всего: <?php echo $cnt; ?></p>
	<p><button type="submit" name="export">Экспорт в CSV</button></p>
</form>

<h3>Есть в "должны быть (на биржах)", но нет в размещенных на сайте</h3>
<form action="" method="post">
	<input type="hidden" name="a" value="export" />
	<input type="hidden" name="filename" value="radiopremier_on_markets.csv" />
	<?php $cnt = 0; ?>
	<table border="1" cellpadding="5">
		<?php for ($i = 0; $i < count($data2); $i++) { ?>
			<?php $item = $data2[$i]; ?>
			<?php if (in_array($item, $data1)) continue; ?>
			<input type="hidden" name="line[]" value="http://radiopremier.ru/<?php echo $item; ?>.dhtm" />
			<tr>
				<td>http://radiopremier.ru/<?php echo $item; ?>.dhtm</td>
			</tr>
			<?php $cnt++; ?>
		<?php } ?>
	</table>
	<p>Всего: <?php echo $cnt; ?></p>
	<p><button type="submit" name="export">Экспорт в CSV</button></p>
</form>
</body>
</html>