<?php
if (!empty($_POST['a']) && $_POST['a'] == 'csv') {
	$filename = 'links.csv';

	$out = '';
	foreach ($_POST['line'] as $line) {
		$out .= $line."\n";
	}
	header('Content-Description: File Transfer');
	header('Content-Type: application/octet-stream');
	header('Content-Disposition: attachment; filename='.($filename));
	header('Content-Transfer-Encoding: binary');
	header('Expires: 0');
	header('Cache-Control: must-revalidate');
	header('Pragma: public');
	header('Content-Length: '.strlen($out));

	echo $out;
	exit;
}
?>
<html>
<head>
<title>Удаление дублирующихся ссылок</title>
</head>
<body>
<h2>Удаление дублирующихся ссылок</h2>
<form action="" method="post" enctype="multipart/form-data">
	<input type="hidden" name="a" value="process" />
	<p>
		Загрузить CSV файл со списком ссылок:
		<input type="file" name="file" />
	</p>
	<p>
		Или ввести список вручную:<br />
		<textarea name="list" cols="80" rows="10"></textarea>
	</p>
	<p><button type="submit">Обработать</button></p>
</form>
<?php if (!empty($_POST['a']) && $_POST['a'] == 'process') { ?>
	<?php
	$out = array();
	if (!empty($_FILES['file']['name']) && $_FILES['file']['error'] == 0) {
		$f = fopen($_FILES['file']['tmp_name'], 'r');
		while (!feof($f)) {
			$line = fgets($f);
			$line = trim($line);
			if (empty($line)) continue;
			if (!in_array($line, $out)) $out[] = $line;
		}
		fclose($f);
	}
	if (!empty($_POST['list'])) {
		$list = explode("\n", $_POST['list']);
		foreach ($list as $item) {
			$item = trim($item);
			if (empty($item)) continue;
			if (!in_array($item, $out)) $out[] = $item;
		}
	}
	?>
	<hr />
	<h3>Результаты обработки</h3>
	<form action="" method="post">
		<input type="hidden" name="a" value="csv" />
		<table border="0">
			<?php foreach ($out as $item) { ?>
				<input type="hidden" name="line[]" value="<?php echo $item; ?>" />
				<tr>
					<td><?php echo $item; ?></td>
				</tr>
			<?php } ?>
		</table>
		<button type="submit">Сохранить в CSV файл</button>
	</form>
<?php } ?>
</body>
</html>