<?php
if (!empty($_POST['a']) && $_POST['a'] == 'export') {
	$filename = 'list.csv';

	$out = '';
	foreach ($_POST['line'] as $line) {
		$out .= $line."\n";
	}
	header('Content-Description: File Transfer');
	header('Content-Type: application/octet-stream');
	header('Content-Disposition: attachment; filename='.($filename));
	header('Content-Transfer-Encoding: binary');
	header('Expires: 0');
	header('Cache-Control: must-revalidate');
	header('Pragma: public');
	header('Content-Length: '.strlen($out));

	echo $out;
	exit;
}


if (!empty($_FILES['file1']['name']) && !empty($_FILES['file2']['name'])) {
	$data1 = array();
	$f = fopen($_FILES['file1']['tmp_name'], 'r');
	while (!feof($f)) {
		$line = trim(fgets($f));
		if (empty($line)) continue;
		$data1[] = $line;
	}
	fclose($f);

	$data2 = array();
	$f = fopen($_FILES['file2']['tmp_name'], 'r');
	while (!feof($f)) {
		$line = trim(fgets($f));
		if (empty($line)) continue;
		$data2[] = $line;
	}
	fclose($f);
}
?>
<html>
<head>
<title>Сравнение множеств</title>
</head>
<body>
<p><a href="index.php">Вернуться в меню</a></p>
<h2>Сравнение <?php
	if (isset($_GET['uchinfo'])) echo 'учинфо';
	elseif (isset($_GET['baby'])) echo 'беби';
	elseif (isset($_GET['zvezda'])) echo 'звезда';
	elseif (isset($_GET['znamenitosti'])) echo 'знаменитости';
	elseif (isset($_GET['pupilby'])) echo 'pupilby';
	else echo 'множеств';
	?></h2>
<form action="" method="post" enctype="multipart/form-data">
	<p>
		Список 1 (csv-файл)<br />
		<input type="file" name="file1" size="60" />
	</p>
	<p>
		Список 2 (csv-файл)<br />
		<input type="file" name="file2" size="60" />
	</p>
	<?php if (isset($_GET['uchinfo']) || isset($_GET['baby']) || isset($_GET['zvezda']) || isset($_GET['znamenitosti']) || isset($_GET['pupilby'])) { ?>
		<p>
			<input type="hidden" name="type" value="2" />
			Будет найдена "разность" списков - что есть в первом списке, но нет во втором и наоборот!
		</p>
	<?php } else { ?>
		<p>
			<label for="type1"><input type="radio" name="type" id="type1" value="1" checked="checked" /><b>Пересечение</b></label>
			&nbsp;&nbsp;&nbsp;
			<label for="type2"><input type="radio" name="type" id="type2" value="2" /><b>Разность</b></label>
		</p>
	<?php } ?>
<p><button type="submit">Сравнить</button></p>
</form>

<?php if ($_POST['type'] == 1) { ?>
	<h2>Пересечение списков</h2>
	<form action="" method="post">
		<input type="hidden" name="a" value="export" />
		<table border="1" cellpadding="5">
			<?php foreach ($data1 as $item) { ?>
				<?php if (!in_array($item, $data2)) continue; ?>
				<input type="hidden" name="line[]" value="<?php echo $item; ?>" />
				<tr>
					<td><?php echo $item; ?></td>
				</tr>
			<?php } ?>
		</table>
		<p><button type="submit">Сохранить в CSV файл</button></p>
	</form>
<?php } ?>
<?php if ($_POST['type'] == 2) { ?>
	<h2>Разность списков</h2>
	<h3>Список 1</h3>
	<form action="" method="post">
		<input type="hidden" name="a" value="export" />
		<table border="1" cellpadding="5">
			<?php foreach ($data1 as $item) { ?>
				<?php if (in_array($item, $data2)) continue; ?>
				<input type="hidden" name="line[]" value="<?php echo $item; ?>" />
				<tr>
					<td><?php echo $item; ?></td>
				</tr>
			<?php } ?>
		</table>
		<p><button type="submit">Сохранить в CSV файл</button></p>
	</form>

	<h3>Список 2</h3>
	<form action="" method="post">
		<input type="hidden" name="a" value="export" />
		<table border="1" cellpadding="5">
			<?php foreach ($data2 as $item) { ?>
				<?php if (in_array($item, $data1)) continue; ?>
				<input type="hidden" name="line[]" value="<?php echo $item; ?>" />
				<tr>
					<td><?php echo $item; ?></td>
				</tr>
			<?php } ?>
		</table>
		<p><button type="submit">Сохранить в CSV файл</button></p>
	</form>
<?php } ?>

</body>
</html>