<?php include('export.php'); ?>
<html>
<head>
<title>Сверка volgograd</title>
</head>
<body>
<p><a href="index.php">Вернуться к списку</a></p>
<h2>Сверка volgograd</h2>
<form action="" method="post" enctype="multipart/form-data">
	<p>
		Должно быть (на биржах, csv-файл):<br />
		<input type="file" name="file2" />
	</p>
	<fieldset>
		<legend>Формат файла с биржи</legend>
		<p>
			<label><input type="radio" name="type" value="1" checked="checked" /> с одной колонкой</label>
			<span style="color: #f00;">Файл в csv формате, с одной колонкой со ссылками</span>
		</p>
		<p>
			<label><input type="radio" name="type" value="2" /> с тремя колонками</label>
			<span style="color: #f00;">Файл в csv формате: <b>биржа;дата;url</b></span>
		</p>
	</fieldset>
<p><button type="submit">Сравнить</button></p>
</form>
<hr />
<?php
if (!empty($_FILES['file2']['name'])) {
	$data1 = array(); // размещенные
	$data1ids = array(); // размещенные

	$xml = file_get_contents('http://www.volgograd-trv.ru/rss2/index.aspx?page=all');
	$xml = simplexml_load_string($xml);
	$xml = (array)$xml->channel;
	$months = $xml['month'];
	foreach ($months as $month) {
		$month = (array)$month;
		$articles = $month['article'];
		foreach ($articles as $article) {
			$article = (array)$article;
			$url = $article['url'];
			preg_match('/id=[0-9]+/', $url, $matches);
			$matches[0] = str_replace('id=', '', $matches[0]);
			if (in_array($url, $data1) || in_array($matches[0], $data1ids)) continue;
			$data1[] = $url;
			$data1ids[] = $matches[0];
		}
	}

	$data2 = array(); // должны быть
	$data2ids = array(); // должны быть
	$data2f1 = array(); // доп. поле 1
	$data2f2 = array(); // доп. поле 2
	$f = fopen($_FILES['file2']['tmp_name'], 'r');
	if ($_POST['type'] == 2) {
		while (!feof($f)) {
			$parts = fgetcsv($f, null, ';');
			if (!empty($parts) && !empty($parts[2])) {
				$line = $parts[2];
				preg_match('/id=[0-9]+/', $line, $matches);
				$matches[0] = str_replace('id=', '', $matches[0]);
				$matches[0] = str_replace('/', '', $matches[0]);

				if (in_array($matches[0], $data2ids) || in_array($line, $data2)) continue;
				$data2ids[] = $matches[0];
				$data2[] = $line;

				$data2f1[] = $parts[0];
				$data2f2[] = $parts[1];
			}
		}
	} else {
		while (!feof($f)) {
			$line = trim(fgets($f));
			if (!empty($line)) {
				preg_match('/id=[0-9]+/', $line, $matches);
				$matches[0] = str_replace('id=', '', $matches[0]);
				$matches[0] = str_replace('/', '', $matches[0]);

				if (in_array($matches[0], $data2ids) || in_array($line, $data2)) continue;
				$data2ids[] = $matches[0];
				$data2[] = $line;
			}
		}
	}
	fclose($f);
}
?>
<h3>Есть в размещенных на сайте, но нет в "должны быть (на биржах)"</h3>
<form action="" method="post">
	<input type="hidden" name="a" value="export" />
	<input type="hidden" name="filename" value="volgograd_on_site.csv" />
	<?php $cnt = 0; ?>
	<table border="1" cellpadding="5">
		<?php for ($i = 0; $i < count($data1); $i++) { ?>
			<?php $item = $data1[$i]; $id = $data1ids[$i]; ?>
			<?php if (in_array($id, $data2ids)) continue; ?>
			<input type="hidden" name="line[]" value="<?php echo $item; ?>;<?php echo $id; ?>" />
			<tr>
				<td><?php echo $item; ?></td>
				<td><?php echo $id; ?></td>
			</tr>
			<?php $cnt++; ?>
		<?php } ?>
	</table>
	<p>Всего: <?php echo $cnt; ?></p>
	<p><button type="submit" name="export">Экспорт в CSV</button></p>
</form>

<h3>Есть в "должны быть (на биржах)", но нет в размещенных на сайте</h3>
<form action="" method="post">
	<input type="hidden" name="a" value="export" />
	<input type="hidden" name="filename" value="volgograd_on_markets.csv" />
	<?php $cnt = 0; ?>
	<table border="1" cellpadding="5">
		<?php for ($i = 0; $i < count($data2); $i++) { ?>
			<?php $item = $data2[$i]; $id = $data2ids[$i]; ?>
			<?php if (in_array($id, $data1ids)) continue; ?>
			<input type="hidden" name="line[]" value="<?php echo $item; ?>;<?php echo $id; ?>" />
			<tr>
				<?php if ($_POST['type'] == 2) { ?>
					<td><?php echo $data2f1[$i]; ?></td>
					<td><?php echo $data2f2[$i]; ?></td>
				<?php } ?>
				<td><?php echo $item; ?></td>
				<td><?php echo $id; ?></td>
			</tr>
			<?php $cnt++; ?>
		<?php } ?>
	</table>
	<p>Всего: <?php echo $cnt; ?></p>
	<p><button type="submit" name="export">Экспорт в CSV</button></p>
</form>
</body>
</html>